
foreach j of local cycle {
	foreach m of local yvars {
		qui {
		drop ccode*
		egen ccode = group(iso)
		sort ccode year
		tsset ccode year, yearly

		gen ydrop = `m'
		gen aux_pk = ydrop
		gen aux_th = ydrop
		gen ampr = 0
		gen ampx = 0

		gen t_pk = year
		gen t_th = year
		gen durr = 0
		gen durx = 0


replace t_pk = year if peak ==1
replace t_pk = l.t_pk if peak ==0

replace t_th = year if trough == 1
replace t_th = l.t_th if trough == 0

replace aux_pk = ydrop if peak == 1
replace aux_pk = l.aux_pk if peak == 0

replace aux_th = ydrop if trough == 1
replace aux_th = l.aux_th if trough == 0

replace ampr = aux_pk - aux_th if trough[_n] == 1
replace ampx = aux_pk - aux_th if peak[_n] == 1

replace durr = t_pk - t_th if trough[_n] == 1
replace durx = t_pk - t_th if peak[_n] == 1

gen ar_`m'_`j' = ampr
gen ax_`m'_`j' = ampx

gen dr_`m'_`j' = -durr
gen dx_`m'_`j' = durx

gen rr_`m'_`j' = ar_`m'_`j'/dr_`m'_`j'
gen rx_`m'_`j' = ax_`m'_`j'/dx_`m'_`j'

}
di "____________________________________"
di " Aggreggate Amplitude in Recessions "
di "------------------------------------"
sum ar_`m'_`j' if trough[_n]==1
di "____________________________________"
di " Aggreggate Amplitude in Expansions "
di "------------------------------------"
sum ax_`m'_`j' if peak[_n]==1


qui {
di "____________________________________"
di " By Country, Amplitude in Recessions "
di "------------------------------------"
by iso, sort: sum ar_`m'_`j' if trough[_n]==1
di "____________________________________"
di " By Country, Amplitude in Expansions "
di "------------------------------------"
by iso, sort: sum ax_`m'_`j' if peak[_n]==1
}

di "____________________________________"
di " Aggreggate Duration in Recessions "
di "------------------------------------"
sum dr_`m'_`j' if trough[_n]==1
di "____________________________________"
di " Aggreggate Duration in Expansions "
di "------------------------------------"
sum dx_`m'_`j' if peak[_n]==1

qui {

di "____________________________________"
di " By Country, Duration in Recessions "
di "------------------------------------"
by iso, sort: sum dr_`m'_`j' if trough[_n]==1
di "____________________________________"
di " By Country, Duration in Expansions "
di "------------------------------------"
by iso, sort: sum dx_`m'_`j' if peak[_n]==1
}

di "____________________________________"
di " Aggreggate Rate in Recessions "
di "------------------------------------"
sum rr_`m'_`j' if trough[_n]==1
di "____________________________________"
di " Aggreggate Rate in Expansions "
di "------------------------------------"
sum rx_`m'_`j' if peak[_n]==1


qui {
di "____________________________________"
di " By Country, Rate in Recessions "
di "------------------------------------"
by iso, sort: sum rr_`m'_`j' if trough[_n]==1
di "____________________________________"
di " By Country, Rate in Expansions "
di "------------------------------------"
by iso, sort: sum rx_`m'_`j' if peak[_n]==1
}


drop ydrop aux_pk aux_th ampr ampx t_pk t_th durr durx
}
}
drop peak trough
