/*****************************************************
This auxiliary code does annual Bry and Boschan (1971)
To use, define the variables you want to filter by including the command
local vars x1-xn
and then do any transformations such as
gen x1 = log(y)
gen x2 = x1^2, and so on
*****************************************************/
gen bb = lrgdp
local vars bb

foreach m of local vars{
	
	* This does Bry and Boschan
	gen x = `m'  // auxiliary
	gen pk_aux = 0
	gen th_aux = 0
	
	replace pk_aux = 1 if  d.x > 0 & d.f.x < 0 
	replace th_aux = 1 if  d.x < 0 & d.f.x > 0 
	
	* This computes a recession dummy, peaks excluded
	gen raux = 0 // auxiliary 
	replace raux = 1 if pk_aux == 1
	replace raux = 1 if raux[_n-1]==1 & th_aux!=1
	replace raux = 1 if raux[_n-1]==1 & th_aux==1
	replace raux = 0 if pk_aux == 1 // delete if peaks included
	
	* Populate the per variable cyclical indicators
	gen rcn_`m' = raux
	gen pk_`m'  = pk_aux
	gen th_`m'  = th_aux
	
	* Drop aux variables for the next iteration
	drop x raux pk_aux th_aux
}
