
local p1 f1
local p2 pt2

***  local irvars1 lrgdp lrcon lriy
***  local irvars2 rprv rlmoney lcpi
***  local irvars3 stir ltrate cay 

local irvars1 lrgdp lriy
local irvars2 rprv lcpi
local irvars3 stir ltrate cay 

local tlrgdp "Real GDP per capita"
local tlrcon "Real Consumption per capita"
local tlriy "Real Investment per capita"
local trprv "Real Lending per capita"
local trlmoney "Real M2"
local tlcpi "CPI Prices"
local tstir "Govt. Short-term Interest Rates"
local tltrate "Govt. Long-term Interest Rates"
local tcay "Current Account to GDP Ratio"

/*
local t2 "Marginal Contribution of Excess Credit in the Expansion to the Cummulative Percent Change" ///
	"from the Start of the Recession" */
local s2 "Experiment: Excess credit at 0.5 %pts per year vs. 3 %pts per year"

local s2f1 "1870-2008"
local s2pt2 "1948-2008"

forvalues j = 1/2 {
	forvalues i=1/3 {
		foreach v of local irvars`i' {
			
		if "`v'"=="lrgdp" & "`j'"=="1" {
		twoway (rarea up2_1_`v'_norm_`p`j'' dn2_1_`v'_norm_`p`j'' Years, ///
		fcolor(gs12) lcolor(white) lpattern(solid)) ///
		(line b2_1_srx_norm_prv_`v'_`p`j'' Years, lcolor(black) lwidth(medthick)) ///
		(line b2_10_srx_norm_prv_`v'_`p`j'' Years, lcolor(black) lpattern(dot) lwidth(thick)) ///
		(line b2_1_srx_fin_prv_`v'_`p`j'' Years, lcolor(red) lwidth(medthick)) ///
		(line b2_10_srx_fin_prv_`v'_`p`j'' Years, lcolor(red) lpattern(dash) lwidth(medthick)) ///
		(line zero Years, lcolor(black)), ///
		text(-.8 3.3 "Financial (0.5%)", placement(w) size(small) color(red)) ///
		text(-2.5 3.8 "Financial (3%)", placement(w) size(small) color(red)) ///
		text(.25 4.25 "Normal (0.5%)", placement(w) size(small) color(black)) ///
		text(-1 5 "Normal (3%)", placement(w) size(small) color(black)) ///
		title(`t`v'', color(black) size(small)) ytitle("", size(small)) xtitle("", size(small)) ///
		ylabel(, nogrid labsize(vsmall)) xlabel(, labsize(vsmall)) ///
		graphregion(color(white)) plotregion(color(white)) ///
		legend(off) name(`v'`p`j''`i', replace)
		}
		if "`v'"=="lrgdp" & "`j'"=="2" {
		twoway (rarea up2_1_`v'_norm_`p`j'' dn2_1_`v'_norm_`p`j'' Years, ///
		fcolor(gs12) lcolor(white) lpattern(solid)) ///
		(line b2_1_srx_norm_prv_`v'_`p`j'' Years, lcolor(black) lwidth(medthick)) ///
		(line b2_10_srx_norm_prv_`v'_`p`j'' Years, lcolor(black) lpattern(dot) lwidth(thick)) ///
		(line b2_1_srx_fin_prv_`v'_`p`j'' Years, lcolor(red) lwidth(medthick)) ///
		(line b2_10_srx_fin_prv_`v'_`p`j'' Years, lcolor(red) lpattern(dash) lwidth(medthick)) ///
		(line zero Years, lcolor(black)), ///
		text(-.75 4.75 "Financial (0.5%)", placement(w) size(small) color(red)) ///
		text(-2.25 4 "Financial (3%)", placement(w) size(small) color(red)) ///
		text(0.25 4.75 "Normal (0.5%)", placement(w) size(small) color(black)) ///
		text(-1.35 3 "Normal (3%)", placement(w) size(small) color(black)) ///
		title(`t`v'', color(black) size(small)) ytitle("", size(small)) xtitle("", size(small)) ///
		ylabel(, nogrid labsize(vsmall)) xlabel(, labsize(vsmall)) ///
		graphregion(color(white)) plotregion(color(white)) ///
		legend(off) name(`v'`p`j''`i', replace)
		}
		if "`v'" != "lrgdp" {
		twoway (rarea up2_1_`v'_norm_`p`j'' dn2_1_`v'_norm_`p`j'' Years, ///
		fcolor(gs12) lcolor(white) lpattern(solid)) ///
		(line b2_1_srx_norm_prv_`v'_`p`j'' Years, lcolor(black) lwidth(medthick)) ///
		(line b2_10_srx_norm_prv_`v'_`p`j'' Years, lcolor(black) lpattern(dot) lwidth(thick)) ///
		(line b2_1_srx_fin_prv_`v'_`p`j'' Years, lcolor(red) lwidth(medthick)) ///
		(line b2_10_srx_fin_prv_`v'_`p`j'' Years, lcolor(red) lpattern(dash) lwidth(medthick)) ///
		(line zero Years, lcolor(black)), ///
		title(`t`v'', color(black) size(small)) ytitle("", size(small)) xtitle("", size(small)) ///
		ylabel(, nogrid labsize(vsmall)) xlabel(, labsize(vsmall)) ///
		graphregion(color(white)) plotregion(color(white)) ///
		legend(off) name(`v'`p`j''`i', replace)
		}
		
		local glist`p`j''`i' `glist`p`j''`i'' `v'`p`j''`i'
		di "`glist`p`j''`i''"
		
		}
		graph combine `glist`p`j''`i'', ///
		title(, size(medsmall)) ///
		subtitle(, size(medsmall)) ///
		/* ycommon */ ///
		graphregion(color(white)) plotregion(color(white)) ///
		row(1) imargin(tiny) name(`p`j''`i', replace)
		
		local glist`p`j''`i'
		local glist2`p`j'' `glist2`p`j''' `p`j''`i'
		
	}
		
		graph combine `glist2`p`j''', ///
		title("Marginal Contribution of Excess Credit in the Expansion to the Cummulative Percent Change" ///
			"from the Start of the Recession", color(black) size(vsmall)) ///
		subtitle(`s2', size(vsmall)) ///
		t2title(`s2`p`j''', size(vsmall)) ///
		graphregion(color(white)) plotregion(color(white)) ///
		row(3) imargin(tiny) ysize(7) xsize(7) name(`p`j'', replace)
		
		graph export ../graphs/cond_res_2_`p`j''_$today.eps, mag(110) orientation() replace
		graph export ../graphs/cond_res_2_`p`j''_$today.pdf, replace //Alan
		graph save ../graphs/cond_res_2_`p`j''_$today.gph, replace
		graph drop _all
}
