local p1 f1
local p2 pt2

*** local irvars lrgdp lriy lcpi lrcon rprv rlmoney cay stir ltrate // 9 vars
local irvars lrgdp lriy lcpi rprv cay stir ltrate // 7 vars

local tlrgdp "Real GDP per capita"
local tlrcon "Real Consumption per capita"
local tlriy "Real Investment per capita"
local trprv "Real Lending per capita"
local trlmoney "Real M2"
local tlcpi "CPI Prices"
local tstir "Govt. Short-term Interest Rates"
local tltrate "Govt. Long-term Interest Rates"
local tcay "Current Account to GDP Ratio"

local s2f1 "1870-2008"
local s2pt2 "1948-2008"

foreach v of local irvars {
	forvalues j=1/2 {
	
		gen up1_`v'_norm_`p`j'' = b1_`v'_norm_`p`j'' + 1.96*se1_`v'_norm_`p`j''
		gen dn1_`v'_norm_`p`j'' = b1_`v'_norm_`p`j'' - 1.96*se1_`v'_norm_`p`j''
		
		foreach i in 1 10 {
			gen up2_`i'_`v'_norm_`p`j'' = b2_`i'_srx_norm_prv_`v'_`p`j'' + 1.96*se2_srx_norm_prv_`v'_`p`j''
			gen dn2_`i'_`v'_norm_`p`j'' = b2_`i'_srx_norm_prv_`v'_`p`j'' - 1.96*se2_srx_norm_prv_`v'_`p`j''
		}
	}
}

forvalues j=1/2 {
	foreach v of local irvars {

	if "`v'"=="lrgdp" & "`j'"=="1" {
		twoway (rarea up1_`v'_norm_`p`j'' dn1_`v'_norm_`p`j'' Years, ///
				fcolor(gs12) lcolor(white) lpattern(solid)) ///
		(line b1_`v'_fin_`p`j'' Years, lcolor(red) lpattern(dash) lwidth(thick)) ///
		(line b1_`v'_norm_`p`j'' Years, lcolor(black) lwidth(thick)) ///
		(line zero Years, lcolor(black)), ///
		ylabel(, nogrid) ///
		text(-2 5 "Financial crisis", placement(w) color(red)) ///
		text(4 3 "Normal recession", placement(w)) ///
		title(`t`v'',  color(black) size(medium)) ytitle("", size(medsmall)) xtitle("", size(medsmall)) ///
		/* ylabel(-12(3)0) */ ///
		graphregion(color(white)) plotregion(color(white)) ///
		legend(off) name(`v'`j', replace)
	}
		if "`v'"=="lrgdp" & "`j'"=="2" {
		twoway (rarea up1_`v'_norm_`p`j'' dn1_`v'_norm_`p`j'' Years, ///
				fcolor(gs12) lcolor(white) lpattern(solid)) ///
		(line b1_`v'_fin_`p`j'' Years, lcolor(red) lpattern(dash) lwidth(thick)) ///
		(line b1_`v'_norm_`p`j'' Years, lcolor(black) lwidth(thick)) ///
		(line zero Years, lcolor(black)), ///
		ylabel(, nogrid) ///
		title(`t`v'', color(black) size(medium)) ytitle("", size(medsmall)) xtitle("", size(medsmall)) ///
		graphregion(color(white)) plotregion(color(white)) ///
		legend(off) name(`v'`j', replace)
		}
	if "`v'"=="lcpi" {
		twoway (rarea up1_`v'_norm_`p`j'' dn1_`v'_norm_`p`j'' Years, ///
				fcolor(gs12) lcolor(white) lpattern(solid)) ///
		(line b1_`v'_fin_`p`j'' Years, lcolor(red) lpattern(dash) lwidth(thick)) ///
		(line b1_`v'_norm_`p`j'' Years, lcolor(black) lwidth(thick)) ///
		(line zero Years, lcolor(black)), ///
		ylabel(, nogrid) ///
		title(`t`v'', color(black) size(medium)) ytitle("", size(medsmall)) xtitle("", size(medsmall)) ///
		graphregion(color(white)) plotregion(color(white)) ///
		legend(off) name(`v'`j', replace)
	}
	if "`v'"=="lriy" {
		twoway (rarea up1_`v'_norm_`p`j'' dn1_`v'_norm_`p`j'' Years, ///
				fcolor(gs12) lcolor(white) lpattern(solid)) ///
		(line b1_`v'_fin_`p`j'' Years, lcolor(red) lpattern(dash) lwidth(thick)) ///
		(line b1_`v'_norm_`p`j'' Years, lcolor(black) lwidth(thick)) ///
		(line zero Years, lcolor(black)), ///
		ylabel(, nogrid) ///
		title(`t`v'', color(black) size(medium)) ytitle("", size(medsmall)) xtitle("", size(medsmall)) ///
		graphregion(color(white)) plotregion(color(white)) ///
		legend(off) name(`v'`j', replace)
	}
	}
	graph combine lrgdp`j' lriy`j' lcpi`j', ///
	title(`s2`p`j''', color(black) size(medsmall)) ///
	graphregion(color(white)) plotregion(color(white)) ///
	row(1) imargin(tiny) name(g`j', replace)
}

	graph combine g1 g2, ///
	title("Cumulative Percent Change From the Start of the Recession", size(small)) ///
	graphregion(color(white)) plotregion(color(white)) ///
	row(2) ysize(3) xsize(4) imargin(tiny)
		
graph export ../graphs/uncond_av_$today.eps, mag(110) orientation() replace
graph export ../graphs/uncond_av_$today.pdf, replace //Alan

graph save ../graphs/uncond_av_$today.gph, replace

graph drop _all
